## Übersicht der Aufrufoptionen

Sie können das Programm SQLCLI mit Optionen aufrufen:

sqlcli [<options>]

Datenbanksitzung

Aufrufoption | Beschreibung
-d <database_name> | Name der Datenbankinstanz
-e | verschlüsselte Datenübertragung
-n <database_computer>[:<port>] | Name des Rechners, auf dem die Datenbankinstanz installiert ist Wenn Sie nicht den Standard-Port des X-Servers verwenden, dann geben Sie hier Ihren Port an. Siehe X-Server, Ports und Protokolle des X-Servers.
-r | erzwingt, dass SQL-Anweisungen als Statements und nicht als Prepared Statements ausgeführt werden
-S <SQLMODE> | SQL-Modus
-u <database_user,database_user_password> | Benutzername und Kennwort für die Anmeldung an der Datenbankinstanz
-U <user_key> | Anmeldung mit Benutzerschlüssel
-y <timeout> | Timeoutwert (in Sekunden) für die Datenbanksitzung Wenn Sie diese Option nicht angeben, dann verwendet SQLCLI den Vorschlagswert der Datenbankinstanz.
-z | schaltet den AUTOCOMMIT-Modus aus

Ein- und Ausgabe

Aufrufoption | Beschreibung
-c <separator> | Beim Einlesen von Kommandos aus einer Datei verwendet SQLCLI <separator> als Trennzeichen für die einzelnen Befehle. Der Vorschlagswert ist //
-i <file> | liest Kommandos aus der Batch-Datei <file> ein
-j | Ergebnisse werden fortlaufend ausgegeben (keine seitenweise Ausgabe)
-m | aktiviert des Mehrzeilenmodus für die Eingabe von SQLCLI-Befehlen
-o <file> | schreibt die Ergebnisse in die Datei <file>
-x | unterdrückt zusätzliche Ausgaben, wie z. B. die Anzahl der selektierten Zeilen einer Ergebnismenge

Formatierung der Ausgabe

Aufrufoption | Beschreibung
-A | gibt die Ergebnismenge unformatiert aus (ohne Auffüllen mit Leerzeichen) SQLCLI trennt dabei Spalten durch Kommas und Zeilen durch Zeilenumbrüche. Dieses Ausgabeformat eignet sich besonders für das Erzeugen von kommaseparierten Dateien (.csf).
-a | unterdrückt die Ausgabe der Spaltennamen der Ergebnismenge
-b <MAXLENGTH> | legt die maximale Anzahl von Zeichen für die Ausgabe von LONG-Werten fest Vorschlagswert: 10 Zeichen
-f | SQLCLI gibt alle SQL-Anweisungen aus, bevor er sie an die Datenbankinstanz schickt.
-F <separator> | legt die Zeichenkette fest, die SQLCLI als Trennzeichen zwischen den einzelnen Spalten der Ergebnismenge verwendet Vorschlagswert:|
-g <null_value> | legt das Zeichen für Nullwerte in der Ergebnismenge fest Vorschlagswert: ?
-p <prefix> | legt die Zeichenkette fest, die vor jeder Zeile der Ergebnismenge ausgegeben wird Vorschlagswert:|
-P <suffix> | legt die Zeichenkette fest, die nach jeder Zeile der Ergebnismenge ausgegeben wird Vorschlagswert: |
-Q | gibt jede Spalte der Ergebnismenge auf einer neuen Zeile aus

Sonstiges

Aufrufoption | Beschreibung
-E <exit_code> | Wenn ein Fehler auftritt, beendet sich SQLCLI und gibt die Fehlermeldung <exit_code> zurück.
-h | zeigt die Hilfe an
-t | gibt Debug-Informationen aus
-T <file> | schaltet den SQLDBC-Trace ein SQLDBC schreibt die Trace-Daten in die Datei <file>
-v | zeigt Versionsinformationen zum Programm SQLCLI an